#ifndef _MSPH_COMMON_H
#define _MSPH_COMMON_H

#include "msph/err.h"
#include "spho/ctx.h"

#define MSPH_IDENT_LEN	128
#define MSPH_NAME_LEN	1024

struct msph_ctx {
	int	err;
	int	err_info;
	char	errbuf[SPHO_ERR_BUF_LEN];

	struct spho_ctx *spho;

#ifdef SPHO_DEBUG
	char	filebuf[SPHO_ERR_FILEBUF_LEN];
	int	errline;
#endif
};

struct msph_text_pos {
	unsigned int	line;
	unsigned int	col;
};

#endif
